
# --------------------------------------------------------------------------

# config.pm -- webmh configuration...

sub config_init()
{
	$version="0.1";
	$c_title="WebMH v".$version;

	$i_nmh='/store/bin';              # nmh bin directory

	$i_mailhost='smtp.student.uit.no';   # the mailhost
	$i_server='scripts.student.uit.no';  # name of webserver
	$i_imagedir='/webmh/images/';        # folder with the images
	$i_wmhome="/its/trinket/webmh";	  # absolute path to main code installation
	$i_cgif=$u_home."/cgi";               # absolute path to cgi-folder
	$i_cgiu=$i_cgif."/webmh.cgi"; # the abs. path to cgi script
	$i_whoami='/usr/bin/whoami';

	$i_xhead1="X-Mailer: ".$c_title;

	if (!$i_skin) { $i_skin=1; }
	
# below this you may (or may not) apply changes

	if (!$c_text)  { $c_text="#000000"; }
	if (!$c_alink) { $c_alink="#000000"; }
	if (!$c_link)  { $c_link="#0000a0"; }
	if (!$c_vlink) { $c_vlink="#000030"; }

	if (!$c_backdrop)   { $c_backdrop="#ffa000"; }  # table background
	if (!$c_backdrop_l) { $c_backdrop_l="#ffe0a0"; } # stippled line 1
	if (!$c_backdrop_r) { $c_backdrop_r="#fff0e0"; } # stippled line 2

	if (!$c_font) { $c_font='<font face="Helvetica, Arial">'; }
	if (!$c_fontC) { $c_fontC='<font face="Courier, Clean">'; }
	if (!$c_fontL) { $c_fontL='<font size="-1" face="Helvetica, Arial">';}
	if (!$c_fontL2) { $c_fontL2='<font size="-2" face="Helvetica, Arial">'; }
	if (!$c_fontBar) { $c_fontBar='<font size="+1" face="Helvetica, Arial">'; }

	if (!$c_mbody) { $c_mbody='<body bgcolor="#000066" text="black">'; }
	if (!$c_body)
	{
		$c_body='<body bgcolor="#fffafa" text="'.$c_text.'" link="'.$c_link.'"
               alink="'.$c_alink.'" vlink="'.$c_vlink.'">';
	}

	if (!$c_tablespan) 
	{
		$c_tablespan='<table width=100% bgcolor="'.$c_backdrop.'" border="0"
                     cellspacing="0" cellpadding="0">';
	}

	if (!$c_ireload)    { $c_ireload=$i_imagedir.'m_reload.png'; }
	if (!$c_icompose)   { $c_icompose=$i_imagedir.'m_compose.png'; }
	if (!$c_ifolders)   { $c_ifolders=$i_imagedir.'m_folders.png'; }
	if (!$c_iaddresses) { $c_iaddresses=$i_imagedir.'m_addresses.png'; }
	if (!$c_ioptions)	{ $c_ioptions=$i_imagedir.'m_options.png'; }
	if (!$c_idelete)	{ $c_idelete=$i_imagedir.'m_delete.png'; }
	if (!$c_ilogout)	{ $c_ilogout=$i_imagedir.'m_logout.png'; }
	if (!$c_ihelp)		{ $c_ihelp=$i_imagedir.'m_help.png'; }

	if (!$c_framedrop) { $c_framedrop='#ff8000'; } # frame background
}

1;


